%define site_path /var/www/blog

Name: cve-basealt
Version: 20250611
Release: alt1

Summary: Content of cve.basealt.ru
License: GPLv3
Group: Other
Packager: Alexey Appolonov <alexey@altlinux.org>

Source: %name-%version.tar

BuildRequires: pelican

BuildArch: noarch

%description
HTML pages for cve.basealt.ru are generated with pelican
during the build phase of this package.

If you are not root on the web server, one way to unpack it is:

rpm2cpio %name-%EVR.noarch.rpm | { cd / && cpio -imd; }

# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #

%prep
%setup

%build
# pelican can throw errors and warnings for something
# that has no effect on the end result
pelican content/

%install
mkdir -p %buildroot%site_path
cp -r output -T %buildroot%site_path

%files
%site_path

# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #

%changelog
* Wed Jun 11 2025 Alexey Appolonov <alexey@altlinux.org> 20250611-alt1
- Added information about those updates that concern packages that for some
  reason are not present in the distro lists.

* Tue Jun 10 2025 Alexey Appolonov <alexey@altlinux.org> 20250603-alt2
- The "cve-inform" utility is able to filter info that does not concern
  vulnerabilities specified by the user.

* Tue Jun 03 2025 Alexey Appolonov <alexey@altlinux.org> 20250603-alt1
- Collected new information.

* Mon Mar 24 2025 Alexey Appolonov <alexey@altlinux.org> 20250324-alt1
- Collected new information;
- The ALT 10 SP update notification.

* Fri Jan 31 2025 Alexey Appolonov <alexey@altlinux.org> 20250130-alt2
- The "cve-inform" utility can easily handle 1) a situation where a distro path
  is a file path, not URL and 2) a situation where nothing has been published
  for a branch yet (a date of a very last published task is used, without
  taking that particular branch into account).

* Thu Jan 30 2025 Alexey Appolonov <alexey@altlinux.org> 20250130-alt1
- Collected new information;
- A product built on the c10f2 repo is added to the dict of tracked products.

* Tue Jan 14 2025 Alexey Appolonov <alexey@altlinux.org> 20250114-alt1
- Collected new information.

* Fri Nov 01 2024 Alexey Appolonov <alexey@altlinux.org> 20241101-alt1
- Fixed alt-tasks output processing;
- Collected new information.

* Tue Oct 29 2024 Alexey Appolonov <alexey@altlinux.org> 20241029-alt1
- The "cve-inform" utility is no longer have to be connected with the ALT
  server in order to obtain tasks info, connection with the BaseALT server
  is sufficient ("alt-tasks" is used to gather tasks info, it must be installed
  on the same system as "cve-manager");
- Collected new information.

* Wed Oct 23 2024 Alexey Appolonov <alexey@altlinux.org> 20241023-alt1
- Collected new information.

* Wed Oct 16 2024 Alexey Appolonov <alexey@altlinux.org> 20241016-alt1
- Collected new information.

* Tue Oct 08 2024 Alexey Appolonov <alexey@altlinux.org> 20241008-alt1
- Collected new information.

* Tue Oct 01 2024 Alexey Appolonov <alexey@altlinux.org> 20241001-alt1
- Collected new information.

* Tue Sep 24 2024 Alexey Appolonov <alexey@altlinux.org> 20240924-alt1
- Collected new information.

* Wed Sep 18 2024 Alexey Appolonov <alexey@altlinux.org> 20240918-alt1
- Collected new information.

* Tue Sep 10 2024 Alexey Appolonov <alexey@altlinux.org> 20240910-alt1
- Collected new information.

* Tue Sep 03 2024 Alexey Appolonov <alexey@altlinux.org> 20240903-alt1
- Vulnerabilities from ALT errata, that are not included to the cve-manager
  main analysis, will now be highlighted in the log;
- Collected new information.

* Tue Aug 27 2024 Alexey Appolonov <alexey@altlinux.org> 20240827-alt1
- The "cve-inform" utility is modified to take the ALT errata into account;
- Collected new information.

* Tue Aug 20 2024 Alexey Appolonov <alexey@altlinux.org> 20240820-alt1
- Collected new information.

* Tue Aug 13 2024 Alexey Appolonov <alexey@altlinux.org> 20240813-alt1
- Collected new information.

* Tue Aug 06 2024 Alexey Appolonov <alexey@altlinux.org> 20240806-alt1
- Collected new information.

* Tue Jul 30 2024 Alexey Appolonov <alexey@altlinux.org> 20240730-alt1
- Collected new information.

* Tue Jul 23 2024 Alexey Appolonov <alexey@altlinux.org> 20240723-alt1
- Collected new information.

* Tue Jul 16 2024 Alexey Appolonov <alexey@altlinux.org> 20240716-alt1
- Collected new information.

* Wed Jul 03 2024 Alexey Appolonov <alexey@altlinux.org> 20240703-alt1
- Collected new information.

* Wed Jun 26 2024 Alexey Appolonov <alexey@altlinux.org> 20240626-alt1
- Collected new information.

* Tue Jun 18 2024 Alexey Appolonov <alexey@altlinux.org> 20240618-alt1
- Collected new information.

* Tue Jun 04 2024 Alexey Appolonov <alexey@altlinux.org> 20240604-alt1
- Collected new information.

* Wed May 29 2024 Alexey Appolonov <alexey@altlinux.org> 20240529-alt1
- Collected new information.

* Tue May 21 2024 Alexey Appolonov <alexey@altlinux.org> 20240521-alt1
- Collected new information.

* Wed May 15 2024 Alexey Appolonov <alexey@altlinux.org> 20240515-alt1
- Collected new information.

* Tue May 07 2024 Alexey Appolonov <alexey@altlinux.org> 20240507-alt1
- Collected new information.

* Wed Apr 24 2024 Alexey Appolonov <alexey@altlinux.org> 20240424-alt1
- Collected new information;
- Added manually entered information about those updates that don't mention
  CVE/BDU fixes.

* Tue Apr 16 2024 Alexey Appolonov <alexey@altlinux.org> 20240416-alt1
- Collected new information.

* Tue Apr 09 2024 Alexey Appolonov <alexey@altlinux.org> 20240409-alt1
- Collected new information.

* Tue Apr 02 2024 Alexey Appolonov <alexey@altlinux.org> 20240402-alt1
- Collected new information.

* Tue Mar 26 2024 Alexey Appolonov <alexey@altlinux.org> 20240326-alt1
- Collected new information.

* Thu Mar 21 2024 Alexey Appolonov <alexey@altlinux.org> 20240321-alt1
- Collected new information;
- New utility for creating custom/special posts.

* Tue Feb 27 2024 Alexey Appolonov <alexey@altlinux.org> 20240227-alt1
- Collected new information.

* Fri Feb 23 2024 Alexey Appolonov <alexey@altlinux.org> 20240220-alt2
- Improved "cve-inform" utility.

* Tue Feb 20 2024 Alexey Appolonov <alexey@altlinux.org> 20240220-alt1
- Collected new information;
- The journal includes cases when some vul id and vul id mapped to it are not
  associated with a same package;
- A new utility used to compare different versions of the cve-basealt package.

* Thu Feb 08 2024 Alexey Appolonov <alexey@altlinux.org> 20240208-alt1
- Collected new information;
- Improved "cve-inform" utility.

* Tue Jan 16 2024 Alexey Appolonov <alexey@altlinux.org> 20240116-alt1
- Collected new information;
- Addition to the blog post dated 2023.12.22.

* Wed Jan 10 2024 Alexey Appolonov <alexey@altlinux.org> 20240110-alt1
- Collected new information.

* Thu Dec 28 2023 Alexey Appolonov <alexey@altlinux.org> 20231228-alt1
- Collected new information.

* Tue Dec 19 2023 Alexey Appolonov <alexey@altlinux.org> 20231219-alt1
- Collected new information.

* Tue Dec 12 2023 Alexey Appolonov <alexey@altlinux.org> 20231212-alt1
- Collected new information.

* Tue Dec 05 2023 Alexey Appolonov <alexey@altlinux.org> 20231205-alt1
- Collected new information.

* Tue Nov 28 2023 Alexey Appolonov <alexey@altlinux.org> 20231128-alt1
- Collected new information.

* Tue Nov 21 2023 Alexey Appolonov <alexey@altlinux.org> 20231121-alt1
- Collected new information.

* Tue Nov 14 2023 Alexey Appolonov <alexey@altlinux.org> 20231114-alt1
- Collected new information.

* Tue Nov 07 2023 Alexey Appolonov <alexey@altlinux.org> 20231107-alt1
- Collected new information.

* Thu Nov 02 2023 Alexey Appolonov <alexey@altlinux.org> 20231102-alt1
- Collected new information.

* Wed Oct 25 2023 Alexey Appolonov <alexey@altlinux.org> 20231025-alt1
- Collected new information.

* Tue Oct 17 2023 Alexey Appolonov <alexey@altlinux.org> 20231017-alt1
- Collected new information;
- Corrected formatting of the blog posts (there are no separating empty lines
  between messages related to a same product).

* Thu Oct 12 2023 Alexey Appolonov <alexey@altlinux.org> 20231012-alt1
- Collected new information.

* Tue Oct 10 2023 Alexey Appolonov <alexey@altlinux.org> 20231010-alt1
- Collected new information.

* Tue Oct 03 2023 Alexey Appolonov <alexey@altlinux.org> 20231003-alt1
- Collected new information.

* Tue Sep 26 2023 Alexey Appolonov <alexey@altlinux.org> 20230926-alt1
- Collected new information.

* Tue Sep 19 2023 Alexey Appolonov <alexey@altlinux.org> 20230919-alt1
- Collected new information.

* Wed Sep 13 2023 Alexey Appolonov <alexey@altlinux.org> 20230912-alt2
- Added menu item for the product "ALT SP 10".

* Tue Sep 12 2023 Alexey Appolonov <alexey@altlinux.org> 20230912-alt1
- Collected new information.

* Tue Sep 05 2023 Alexey Appolonov <alexey@altlinux.org> 20230905-alt1
- Collected new information (c10f1 branch added).

* Fri Sep 01 2023 Alexey Appolonov <alexey@altlinux.org> 20230822-alt2
- Fixed and improved "cve-inform" utility (much detailed logging, fixed
  processing of multiple products/branches and more).

* Tue Aug 22 2023 Alexey Appolonov <alexey@altlinux.org> 20230822-alt1
- Collected new information.

* Tue Aug 15 2023 Alexey Appolonov <alexey@altlinux.org> 20230815-alt1
- Collected new information.

* Tue Aug 01 2023 Alexey Appolonov <alexey@altlinux.org> 20230801-alt1
- Collected new information.

* Mon Jul 10 2023 Alexey Appolonov <alexey@altlinux.org> 20230710-alt1
- Collected new information.

* Thu Jul 06 2023 Alexey Appolonov <alexey@altlinux.org> 20230706-alt1
- Collected new information.

* Tue Jun 27 2023 Alexey Appolonov <alexey@altlinux.org> 20230627-alt1
- Fixed processing of packages whose full name includes epoch;
- Markdown files generated since the "cve-inform" utility started using the
  "cve-manager" toolkit are replaced with newly generated ones.

* Wed Jun 21 2023 Alexey Appolonov <alexey@altlinux.org> 20230621-alt1
- The "cve-inform" utility groups IDs of fixed BDU with IDs of fixed CVE that
  are mapped to these BDU (to enable, pass the "--group_vul_ids" flag to the
  "cve-inform" utility);
- Collected new information.

* Wed May 24 2023 Alexey Appolonov <alexey@altlinux.org> 20230524-alt1
- Collected new information.

* Fri May 12 2023 Alexey Appolonov <alexey@altlinux.org> 20230502-alt2
- The "cve-inform" utility produces a log that contain a quantity of new tasks
  that fix some vulnerabilities (besides of a total quantity of new tasks).

* Tue May 02 2023 Alexey Appolonov <alexey@altlinux.org> 20230502-alt1
- Collected new information.

* Tue Apr 18 2023 Alexey Appolonov <alexey@altlinux.org> 20230418-alt1
- Fixed "cve-inform" utility;
- Collected new information.

* Wed Apr 12 2023 Alexey Appolonov <alexey@altlinux.org> 20230412-alt3
- The "cve-inform" utility is able to use branch aliases when quering the
  "cve-manager" utilities toolkit (it should do so because cve-manager uses
  aliases for some of the branch names, for example, c8.1).

* Wed Apr 12 2023 Alexey Appolonov <alexey@altlinux.org> 20230412-alt2
- Updated manual.

* Wed Apr 12 2023 Alexey Appolonov <alexey@altlinux.org> 20230412-alt1
- Collected new information.

* Mon Apr 10 2023 Alexey Appolonov <alexey@altlinux.org> 20230330-alt2
- The "cve-inform" utility uses the "cve-manager" toolkit to detect fixes;
- ALT tasks and the "cve-manager" toolkit can be located on separate remote
  hosts.

* Thu Mar 30 2023 Alexey Appolonov <alexey@altlinux.org> 20230330-alt1
- Collected new information from the tasks/changelogs.

* Fri Mar 10 2023 Alexey Appolonov <alexey@altlinux.org> 20230310-alt1
- Collected new information from the tasks/changelogs;
- Added manually entered information about those updates that don't mention
  CVE fixes.

* Thu Jan 19 2023 Alexey Appolonov <alexey@altlinux.org> 20230119-alt1
- Collected new information from the tasks/changelogs;
- Added manually entered information about those updates that don't mention
  CVE fixes.

* Wed Dec 21 2022 Alexey Appolonov <alexey@altlinux.org> 20221221-alt1
- Collected new information from the tasks/changelogs;
- Added manually entered information about those updates that don't mention
  CVE fixes.

* Thu Nov 17 2022 Alexey Appolonov <alexey@altlinux.org> 20221117-alt1
- Collected new information from the tasks/changelogs.

* Sat Nov 05 2022 Alexey Appolonov <alexey@altlinux.org> 20221103-alt2
- Publication dates are no longer displayed.

* Thu Nov 03 2022 Alexey Appolonov <alexey@altlinux.org> 20221103-alt1
- Collected new information from the tasks/changelogs;
- Added manually entered information about those updates that don't mention
  CVE fixes.

* Wed Oct 19 2022 Alexey Appolonov <alexey@altlinux.org> 20221019-alt1
- Collected new information from the tasks/changelogs;
- Added manually entered information about those updates that don't mention
  CVE fixes.

* Wed Sep 28 2022 Alexey Appolonov <alexey@altlinux.org> 20220928-alt1
- Collected new information from the tasks/changelogs;
- Added manually entered information about those updates that don't mention
  CVE fixes.

* Sat Sep 10 2022 Denis Medvedev <nbr@altlinux.org> 20220910-alt1
- Added manually entered information about those updates that don't mention
  CVE fixes.

* Fri Sep 02 2022 Alexey Appolonov <alexey@altlinux.org> 20220902-alt1
- Collected new information from the tasks/changelogs.

* Thu Aug 25 2022 Alexey Appolonov <alexey@altlinux.org> 20220811-alt2
- Updated manual.

* Thu Aug 11 2022 Alexey Appolonov <alexey@altlinux.org> 20220811-alt1
- Collected new information from the tasks/changelogs.

* Tue Jul 12 2022 Alexey Appolonov <alexey@altlinux.org> 20220712-alt1
- Collected new information from the tasks/changelogs.

* Wed Jun 15 2022 Alexey Appolonov <alexey@altlinux.org> 20220615-alt1
- Collected new information from the tasks/changelogs.

* Fri May 27 2022 Alexey Appolonov <alexey@altlinux.org> 20220527-alt1
- Collected new information from the tasks/changelogs.

* Wed May 18 2022 Alexey Appolonov <alexey@altlinux.org> 20220518-alt1
- Collected new information from the tasks/changelogs.

* Mon Apr 18 2022 Alexey Appolonov <alexey@altlinux.org> 20220418-alt1
- Collected new information from the tasks/changelogs.

* Fri Apr 01 2022 Alexey Appolonov <alexey@altlinux.org> 20220401-alt1
- Collected new information from the tasks/changelogs.

* Mon Mar 21 2022 Alexey Appolonov <alexey@altlinux.org> 20220321-alt1
- Collected new information from the tasks/changelogs.

* Tue Mar 15 2022 Alexey Appolonov <alexey@altlinux.org> 20220315-alt1
- A couple of edited posts with added vulnerability IDs.

* Mon Mar 14 2022 Alexey Appolonov <alexey@altlinux.org> 20220314-alt1
- Collected new information from the tasks/changelogs.

* Tue Feb 15 2022 Alexey Appolonov <alexey@altlinux.org> 20220215-alt1
- Fixed cve-inform utility;
- Re-generated posts of the "20220127-alt1" release (distro lists are now
  properly engaged);
- Collected new information from the tasks/changelogs.

* Thu Jan 27 2022 Alexey Appolonov <alexey@altlinux.org> 20220127-alt1
- Fixed, tweaked and updated cve-inform utility;
- Collected new information from the tasks/changelogs.

* Fri Aug 20 2021 Alexey Appolonov <alexey@altlinux.org> 20210624-alt2
- Modified cve-inform utility that can now consider multiple repositories
  for a single product.

* Thu Jun 24 2021 Alexey Appolonov <alexey@altlinux.org> 20210624-alt1
- Improved cve-inform utility that can now filter collected information
  using package lists;
- Collected new information from the tasks/changelogs.

* Mon May 17 2021 Alexey Appolonov <alexey@altlinux.org> 20210517-alt1
- Collected new information from the tasks/changelogs;
- Improved app used for collecting information about tasks and for forming
  markdown files;
- Corrected manual.

* Mon Mar 08 2021 Denis Medvedev <nbr@altlinux.org> 20210308-alt1
- collected new information from tasks

* Fri Feb 19 2021 Alexey Appolonov <alexey@altlinux.org> 20210219-alt3
- Updated manual.

* Fri Feb 19 2021 Denis Medvedev <nbr@altlinux.org> 20210219-alt2
- fixed content

* Fri Feb 19 2021 Denis Medvedev <nbr@altlinux.org> 20210219-alt1
- new info

* Tue Feb 09 2021 Alexey Appolonov <alexey@altlinux.org> 20210209-alt1
- Collected new information from the tasks/changelogs.

* Wed Feb 03 2021 Alexey Appolonov <alexey@altlinux.org> 20210203-alt1
- Branch c8 is switched to branch c9f1 but will be shown under the same label;
- Collected new information from the tasks/changelogs.

* Wed Mar 18 2020 Ivan Zakharyaschev <imz@altlinux.org> 20200318-alt1
- Collected new information (of types: fix, mention)
  from the tasks/changelogs (of branches: c7, c8).
  (gear-cronbuild-apply-hooks at your service!)

* Sat Jan 18 2020 Ivan Zakharyaschev <imz@altlinux.org> 20200110-alt3
- (.spec) The version format made suitable for cronbuild.

* Fri Jan 10 2020 Ivan Zakharyaschev <imz@altlinux.org> 200110-alt2
- Relocated the contents to /var/www/blog.

* Fri Jan 10 2020 Ivan Zakharyaschev <imz@altlinux.org> 200110-alt1
- Collected new information from the tasks/changelogs.

* Thu Oct 31 2019 Ivan Zakharyaschev <imz@altlinux.org> 191030-alt1
- Collected new information from the tasks/changelogs.

* Thu Sep 12 2019 Alexey Appolonov <alexey@altlinux.org> 190912-alt1
- From now on html pages for cve.basealt.ru will be generated automatically
  inside hasher.

